Task 24/Models/ArticleModel.cs
using System;
using System.Text;

namespace Task_23.Models
{
    public class ArticleModel
    {
        public string Title { get; set; }
        public string Text { get; set; }
        public DateTime PublicationDate { get; set; }
    }
}

Task 24/Models/FeedbackModel.cs
using System;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace Task_23.Models
{
    public class FeedbackModel
    {
        [Required(ErrorMessage = "Name is required")]
        [Display(Name = "Name")]
        public string AuthorName { get; set; }
        [Required(ErrorMessage = "Surname is required")]
        [Display(Name = "Surname")]
        public string AuthorSurname { get; set; }
        [Required]
        public DateTime FeedbackDate { get; set; }
        [Required(ErrorMessage = "Text is required")]
        [Display(Name = "Your opinion")]
        public string FeedbackText { get; set; }
    }
}

Task 24/Models/QuizAnswerModel.cs
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Task_23.Models
{
    public class QuizAnswerModel
    {
        [Required(ErrorMessage = "Name is required")]
        [Display(Name = "Name")]
        public string Name { get; set; }
        [Required(ErrorMessage = "Surname is required")]
        [Display(Name = "Surname")]
        public string Surname { get; set; }
        [Required(ErrorMessage = "Choose your framework")]
        public string framework { get; set; }
        [Required(ErrorMessage = "Choose your language")]
        public string language { get; set; }
        public Dictionary<string,bool> fruits { get; set; }

    }
}

Task 24/Controllers/GuestPageController.cs
using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Task_23.Models;

namespace Task_23.Controllers
{
    public class GuestPageController : Controller
    {
        static List<FeedbackModel> feedbacks = new List<FeedbackModel>()
        {
            new FeedbackModel {AuthorName = "Vasyl", AuthorSurname = "M.", FeedbackDate = new DateTime(2021,4,23), FeedbackText = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla."},
            new FeedbackModel {AuthorName = "Nazar", AuthorSurname = "D.", FeedbackDate = new DateTime(2021,9,13), FeedbackText = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla."},
            new FeedbackModel {AuthorName = "Rostyslav", AuthorSurname = "V.", FeedbackDate = new DateTime(2021,5,12), FeedbackText = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla."},
            new FeedbackModel {AuthorName = "Egor", AuthorSurname = "S.", FeedbackDate = new DateTime(2021,2,11), FeedbackText = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla."},
            new FeedbackModel {AuthorName = "Ostap", AuthorSurname = "K.", FeedbackDate = new DateTime(2021,10,23), FeedbackText = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla."},
            new FeedbackModel {AuthorName = "Olya", AuthorSurname = "Y.", FeedbackDate = new DateTime(2021,11,15), FeedbackText = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla."}
        };
        public ActionResult GuestPage()
        {
            ViewBag.feed = feedbacks.OrderBy(x=>x.FeedbackDate);
            return View();
        }
        [HttpPost]
        public ActionResult GuestPage(FeedbackModel feedback)
        {
            feedback.FeedbackDate = DateTime.Now;
            if (ModelState.IsValid)
            {
                feedbacks.Add(feedback);
                return RedirectToAction("GuestPage");
            }
            return GuestPage();
        }
    }
}

Task 24/Controllers/SurveyPageController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Task_23.Models;

namespace Task_23.Controllers
{
    public class SurveyPageController : Controller
    {
        QuizAnswerModel res = new QuizAnswerModel();

        [HttpGet]
        public ActionResult Index()
        {
            res.fruits = new Dictionary<string, bool>() { { "Banana", false },{ "Apple", false }, { "Orange", false }, { "Melon", false }, { "Watermelon", false } };
            return View(res);
        }

        [HttpPost]
        public ActionResult Index(QuizAnswerModel answers)
        {
            if(ModelState.IsValid)
            {
                return View("Submitted", answers);
            }
            return Index();
        }
    }
}

Task 24/Views/SurveyPage/Index.cshtml
@model Task_23.Models.QuizAnswerModel

@helper CheckboxList(string[] fruits)
{
    foreach (var key in Model.fruits.Keys)
    {
        <br />
        @Html.CheckBoxFor(m => m.fruits[key], new { @checked = "checked" })
        <label>@key</label>
    }
    <br />
}

@using (Html.BeginForm("Index", "SurveyPage", FormMethod.Post))
{

    <div class="editor-label">
        @Html.LabelFor(m => m.Name)
    </div>
    <div class="editor-field">
        @Html.TextBoxFor(m => m.Name)
        @Html.ValidationMessageFor(m => m.Name)
    </div>
    <div class="editor-label">
        @Html.LabelFor(m => m.Surname)
    </div>
    <div class="editor-field">
        @Html.TextBoxFor(m => m.Surname)
        @Html.ValidationMessageFor(m => m.Surname)
    </div>
    <div class="editore-field">
        <fieldset>
            <legend>Choose your favorite JS framework</legend>

            @Html.RadioButtonFor(m => m.framework, "Angular")
            <label>Angular</label><br />

            @Html.RadioButtonFor(m => m.framework, "React")
            <label>React</label><br />

            @Html.RadioButtonFor(m => m.framework, "Vue.js")
            <label>Vue.js</label>
        </fieldset>
        @Html.ValidationMessageFor(m => m.framework, "", new { @class = "error" })
    </div>
    <div class="editore-field">
        <label>Choose a Language:</label>
        @Html.DropDownListFor(m => m.language,
        new SelectList(new string[] { "C#", "C++", "Java", "Ruby", "JavaScript", "GO", "F#" }), "")
        <br />
        @Html.ValidationMessageFor(m => m.language, "", new { @class = "error" })
    </div>
    <div class="editore-field">
        <label>Choose a fruit:</label>
        @CheckboxList(new string[] { "Banana", "Apple", "Melon", "Watermelon", "Orange" })
    </div>
    <input type="submit" value="Submit" class="btn btn-primary" />
}

Task 24/Views/SurveyPage/Submitted.cshtml
@model Task_23.Models.QuizAnswerModel
@{
    ViewBag.Title = "Submitted";
}

<h1>Thanks for your participation @Model.Name @Model.Surname</h1>

<label>Your favorite framework:</label>
<p>@Model.framework</p>

<label>Your favrotite language:</label>
<p>@Model.language</p>

<label>Your fruits:</label>
@foreach (var el in Model.fruits)
{
    if (el.Value)
    {
        <p>@el.Key</p>
    }
}
@if (!Model.fruits.Any(x => x.Value))
{
    <p>There is no fruits have been chosen</p>
}